Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.runtime
Class MASConsoleGUI

    java.lang.Object
      jason.runtime.MASConsoleGUI

    public class MASConsoleGUI

extends java.lang.Object

the GUI console to output log messages

Field Summary
`static java.lang.String` | `isTabbedPropField`

Method Summary
`void` | `addButton(javax.swing.JButton jb)`
`void` | `append(java.lang.String s)`
`void` | `append(java.lang.String agName, java.lang.String s)`
`void` | `close()`
`static MASConsoleGUI` | `get()` for singleton pattern
`javax.swing.JFrame` | `getFrame()`
`static boolean` | `hasConsole()`
`boolean` | `isPause()`
`void` | `setAsDefaultOut()`
`void` | `setPause(boolean b)`
`void` | `setTitle(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isTabbedPropField

    public static java.lang.String isTabbedPropField

Method Detail

### get

    public static MASConsoleGUI get()

  for singleton pattern

### hasConsole

    public static boolean hasConsole()

### setTitle

    public void setTitle(java.lang.String s)

### getFrame

    public javax.swing.JFrame getFrame()

### addButton

    public void addButton(javax.swing.JButton jb)

### setPause

    public void setPause(boolean b)

### isPause

    public boolean isPause()

### append

    public void append(java.lang.String s)

### append

    public void append(java.lang.String agName,
                       java.lang.String s)

### close

    public void close()

### setAsDefaultOut

    public void setAsDefaultOut()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD